
var xhr;

function CreateXmlHttp(){
    // Probamos con IE
    try{        // FuncionarÃ¡ para JavaScript 5.0
        xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e){
        try{
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(oc){
            xmlHttp = null;
        }
    }
    // Si no se trataba de un IE, probamos con esto
    if(!xmlHttp && typeof XMLHttpRequest != "undefined")
    {
        xmlHttp = new XMLHttpRequest();
    }

    return xmlHttp;
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

//*+++++++++++++++++++++


function grabar(){
    var codigo=get('codigo');
    var grado=get('g_id1');
    var curso=get('c_id1');
    var fecha=get('fecha');
    var nmatri=get('nmatr');
    var alec=get('lec');
    var obser=get('obser');

    var parametros = {"accion":'guardar_matricula',"codigo":codigo,
                                                   "grado":grado,
                                                   "curso":curso,
                                                   "fecha":fecha,
                                                   "nmatri":nmatri,
                                                   "alec":alec,
                                                   "obser":obser

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_matriculas.php",
                type:  'post',
                success:function (response){

                       //document.getElementById('content').innerHTML=response;

                       alert(response);
                       window.location="matriculas.php";
                    }

        });
}

function btneliminar(){

    document.getElementById('btn').innerHTML="<br> <input type='button' id='btneliminar' onclick='eliminar()' value=' Eliminar '>&nbsp;&nbsp;<input type='button' id='btnretornar' onclick='retornar_menu()' value=' Retornar '>&nbsp;&nbsp;<input type='button' id='btnlimpiar' onclick='limpiarmat()' value=' Limpiar '>";
    limpiarmat();

}

//-------------------------------

function btnmodificar(){

    document.getElementById('btn').innerHTML="<br> <input type='button' id='btnmodificar' onclick='modificar_matri()' value=' Actualizar '>&nbsp;&nbsp;<input type='button' id='btnretornar' onclick='retornar_menu()' value=' Retornar '>&nbsp;&nbsp;<input type='button' id='btnlimpiar' onclick='limpiarmat()' value=' Limpiar '>";
    limpiarmat();

}

//------------------------------

function principal(){

    window.location="matriculas.php";
}


function eliminar(){
    var codigo=get('codigo');
    var grado=get('g_id1');
    var curso=get('c_id1');
    
    if(codigo==''){
        alert('Ingrese Codigo');
        exit();
    }
    
    if(grado==''){
        alert('Ingrese Grado');
        exit();
    }
    
     if(curso==''){
        alert('Ingrese Curso');
        exit();
    }


       var parametros = {"accion":'elim_matri',"codigo" :codigo};
            $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_matriculas.php",
                    type:  'post',
                    success:function (response){

                            alert(response);

                       window.location="matriculas.php";


                    }
            });

}


function comprobar_codigo(){

if(document.getElementById('btneliminar').checked){
   var codigo=get('codigo');

    if(codigo!=''){

         var parametros = {"accion":'mostrar_matricula',"codigo" :codigo};
            $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_matriculas.php",
                    type:  'post',
                    success:function (response){

                 if (response!='NO'){

                    var elem = response.split('_');

                    document.getElementById('nombres').value=elem[0];
                    document.getElementById('estado').value=elem[1];
                    document.getElementById('g_id1').value=elem[2];
                    document.getElementById('g_id2').value=elem[3];
                    document.getElementById('c_id1').value=elem[4];
                    document.getElementById('c_id2').value=elem[5];

                    document.getElementById('fecha').value=elem[6];
                    document.getElementById('nmatr').value=elem[7];
                    document.getElementById('lec').value=elem[8];
                    document.getElementById('obser').value=elem[9];


                }
                else{
                    alert("NO EXISTE MATRICULA");
                    document.getElementById('codigo').value="";
                    document.getElementById('codigo').focus();
                }
           }
            });
      }

   }





else if(document.getElementById('btningresar').checked){
     var codigo=get('codigo');

    if(codigo!=''){

       var parametros = {"accion":'comp_codigo',"codigo" :codigo};
            $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_matriculas.php",
                    type:  'post',
                    success:function (response){


                    if(response=='na'){
                       alert('Estudiante Inactivo');

                       document.getElementById('codigo').value='';
                       //document.getElementById('codigo').focus();
                    }else if(response=='nr'){
                       alert('Estudiante No Registrado');

                       document.getElementById('codigo').value='';
                       document.getElementById('nombres').value='';

                    }else{
                       document.getElementById('nombres').value=response;
                    }


                    }
            });
        }
   }




   else if(document.getElementById('btnmodificar').checked){
  
    var codigo=get('codigo');

    if(codigo!=''){
      
         var parametros = {"accion":'mostrar_matricula',"codigo" :codigo};
            $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_matriculas.php",
                    type:  'post',
                    success:function (response){
                 
                 if (response!='NO'){

                    var elem = response.split('_');                 

                    document.getElementById('nombres').value=elem[0];
                    document.getElementById('estado').value=elem[1];
                    document.getElementById('g_id1').value=elem[2];
                    document.getElementById('g_id2').value=elem[3];
                    document.getElementById('c_id1').value=elem[4];
                    document.getElementById('c_id2').value=elem[5];

                    document.getElementById('fecha').value=elem[6];
                    document.getElementById('nmatr').value=elem[7];
                    document.getElementById('lec').value=elem[8];
                    document.getElementById('obser').value=elem[9];


                }
                else{
                    alert("NO EXISTE MATRICULA");
                    document.getElementById('codigo').value="";
                    document.getElementById('codigo').focus();
                }
                    }
            });
      }
   }


}

function limpiarmat(){
    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';
    document.getElementById('estado').value='';
    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';
    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';
    document.getElementById('fecha').value='';
    document.getElementById('nmatr').value='';
    document.getElementById('lec').value='';
    document.getElementById('obser').value='';

    document.getElementById('codigo').focus();
}

function retornarmat(){
     document.location.href="../menu.php";
}

//----------------------------------------------

function modificar_matri(){

    var codigo=get('codigo');
    var estado=get('estado');
    var grado=get('g_id1');
    var curso=get('c_id1');
    var fecha=get('fecha');
    var nmatri=get('nmatr');
    var alec=get('lec');
    var obser=get('obser');

    var parametros = {"accion":'modificar_matricula',"codigo":codigo,"estado":estado,
                                                   "grado":grado,
                                                   "curso":curso,
                                                   "fecha":fecha,
                                                   "nmatri":nmatri,
                                                   "alec":alec,
                                                   "obser":obser

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_matriculas.php",
                type:  'post',
                success:function (response){
                       alert(response);
                       window.location="matriculas.php";
                    }

        });
}

//---------------------

function retornar_menu(){
    document.location.href="../menu.php";
}

//------------------------

function matricular(){

    var matri=parametro('matri');

   if(matri=='1'){
       var codigo=parametro('codigo');
       document.getElementById('codigo').value=codigo;
       
    }

    document.getElementById('codigo').focus();

}

//--------------------------

function registrar_alumno(){
    document.location.href="../datos_alumno/datos_alumno.html?oper=1";
}